DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTDepthDoseParametersSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTDepthDoseParametersSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getDistalDepth (Float32 &value, const unsigned long pos=0) const
| get DistalDepth (300a,0502)
OFCondition | getDistalDepthFraction (Float32 &value, const unsigned long pos=0) const
| get DistalDepthFraction (300a,0501)
OFCondition | getNominalRangeModulatedRegionDepths (Float32 &value, const unsigned long pos=0) const
| get NominalRangeModulatedRegionDepths (300a,0504)
OFCondition | getNominalRangeModulationFractions (Float32 &value, const unsigned long pos=0) const
| get NominalRangeModulationFractions (300a,0503)
OFCondition | getReferenceDoseDefinition (OFString &value, const signed long pos=0) const
| get ReferenceDoseDefinition (300a,0512)
OFCondition | setDistalDepth (const Float32 value, const unsigned long pos=0)
| set DistalDepth (300a,0502)
OFCondition | setDistalDepthFraction (const Float32 value, const unsigned long pos=0)
| set DistalDepthFraction (300a,0501)
OFCondition | setNominalRangeModulatedRegionDepths (const Float32 value, const unsigned long pos=0)
| set NominalRangeModulatedRegionDepths (300a,0504)
OFCondition | setNominalRangeModulationFractions (const Float32 value, const unsigned long pos=0)
| set NominalRangeModulationFractions (300a,0503)
OFCondition | setReferenceDoseDefinition (const OFString &value, const OFBool check=OFTrue)
| set ReferenceDoseDefinition (300a,0512)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointSingle | DistalDepth
| DistalDepth (300a,0502) vr=FL, vm=1, type=1.
DcmFloatingPointSingle | DistalDepthFraction
| DistalDepthFraction (300a,0501) vr=FL, vm=1, type=1.
DcmFloatingPointSingle | NominalRangeModulatedRegionDepths
| NominalRangeModulatedRegionDepths (300a,0504) vr=FL, vm=2, type=1C.
DcmFloatingPointSingle | NominalRangeModulationFractions
| NominalRangeModulationFractions (300a,0503) vr=FL, vm=2, type=1C.
DcmCodeString | ReferenceDoseDefinition
| ReferenceDoseDefinition (300a,0512) vr=CS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTDepthDoseParametersSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTDepthDoseParametersSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getDistalDepth()

OFCondition DRTDepthDoseParametersSequence::Item::getDistalDepth | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get DistalDepth (300a,0502)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDistalDepthFraction()

OFCondition DRTDepthDoseParametersSequence::Item::getDistalDepthFraction | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get DistalDepthFraction (300a,0501)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalRangeModulatedRegionDepths()

OFCondition DRTDepthDoseParametersSequence::Item::getNominalRangeModulatedRegionDepths | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get NominalRangeModulatedRegionDepths (300a,0504)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalRangeModulationFractions()

OFCondition DRTDepthDoseParametersSequence::Item::getNominalRangeModulationFractions | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get NominalRangeModulationFractions (300a,0503)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferenceDoseDefinition()

OFCondition DRTDepthDoseParametersSequence::Item::getReferenceDoseDefinition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferenceDoseDefinition (300a,0512)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTDepthDoseParametersSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTDepthDoseParametersSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTDepthDoseParametersSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTDepthDoseParametersSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDistalDepth()

OFCondition DRTDepthDoseParametersSequence::Item::setDistalDepth | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set DistalDepth (300a,0502)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDistalDepthFraction()

OFCondition DRTDepthDoseParametersSequence::Item::setDistalDepthFraction | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set DistalDepthFraction (300a,0501)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNominalRangeModulatedRegionDepths()

OFCondition DRTDepthDoseParametersSequence::Item::setNominalRangeModulatedRegionDepths | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set NominalRangeModulatedRegionDepths (300a,0504)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNominalRangeModulationFractions()

OFCondition DRTDepthDoseParametersSequence::Item::setNominalRangeModulationFractions | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set NominalRangeModulationFractions (300a,0503)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferenceDoseDefinition()

OFCondition DRTDepthDoseParametersSequence::Item::setReferenceDoseDefinition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferenceDoseDefinition (300a,0512)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTDepthDoseParametersSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtddps.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2